////////////////////////////////////////////////////////////////////////////////
//
// Developed by the Vela Entity (vela.im).
// Released under a "Common Sense License".
//
// Original author: Gardener of Thoughts (gardenerofthoughts.org).
//
////////////////////////////////////////////////////////////////////////////////

namespace Vela.Resources
{
	/// <summary>
	/// Constants used for the application backend.
	/// </summary>
	public static class ResourcesConsts
	{
		#region Public constants

		/// <summary>
		/// The name of the "NormalFontFamily" resource key.
		/// </summary>
		public const string NormalFontFamilyResourceKey = "NormalFontFamily";

		/// <summary>
		/// The name of the "NormalFontSize" resource key.
		/// </summary>
		public const string NormalFontSizeResourceKey = "NormalFontSize";

		#endregion Public constants
	}
}
