////////////////////////////////////////////////////////////////////////////////
//
// Developed by the Vela Entity (vela.im).
// Released under a "Common Sense License".
//
// Original author: Gardener of Thoughts (gardenerofthoughts.org).
//
////////////////////////////////////////////////////////////////////////////////

using System;

namespace Vela.ActionService
{
	/// <summary>
	/// Delegate for an event raised when an action service listener worker finishes processing an action request.
	/// </summary>
	/// <param name="instanceId">The unique identifier of the listener worker. This must be at least 0.</param>
	public delegate void ListenerWorkerFinishedDelegate( Int64 instanceId );
}
