////////////////////////////////////////////////////////////////////////////////
//
// Developed by the Vela Entity (vela.im).
// Released under a "Common Sense License".
//
// Original author: Gardener of Thoughts (gardenerofthoughts.org).
//
////////////////////////////////////////////////////////////////////////////////

using Vela.Kernel.Serialization;

namespace Vela.CoreDocuments
{
	/// <summary>
	/// Contract for the encryptable content of an encrypted envelope, which is to be symmetrically encrypted (when the document
	/// is saved).
	/// </summary>
	public interface IEncryptableDocument : IDocument
	{
	}
}
