////////////////////////////////////////////////////////////////////////////////
//
// Developed by the Vela Entity (vela.im).
// Released under a "Common Sense License".
//
// Original author: Gardener of Thoughts (gardenerofthoughts.org).
//
////////////////////////////////////////////////////////////////////////////////

namespace Vela.CoreDocuments
{
	/// <summary>
	/// Contract for document which may be attached to an encrypted envelope, but is not encrypted.
	/// </summary>
	/// <remarks>For usage information, see <see cref="EncryptedEnvelope.UnencryptedDocument"/>.
	/// </remarks>
	public interface IUnencryptedDocument
	{
	}
}
