////////////////////////////////////////////////////////////////////////////////
//
// Developed by the Vela Entity (vela.im).
// Released under a "Common Sense License".
//
// Original author: Gardener of Thoughts (gardenerofthoughts.org).
//
////////////////////////////////////////////////////////////////////////////////

namespace Vela.CoreDocuments
{
	/// <summary>
	/// Contract for an object which contains an entity name.
	/// </summary>
	public interface INamedEntity
	{
		#region Public serializable properties

		/// <summary>
		/// The entity name. READ-ONLY.
		/// </summary>
		string EntityName { get; }

		#endregion Public serializable properties
	}
}
