////////////////////////////////////////////////////////////////////////////////
//
// Developed by the Vela Entity (vela.im).
// Released under a "Common Sense License".
//
// Original author: Gardener of Thoughts (gardenerofthoughts.org).
//
////////////////////////////////////////////////////////////////////////////////

namespace Vela.DatabaseStorehouse
{
	/// <summary>
	/// Constants used for databases.
	/// </summary>
	public static class DatabaseConsts
	{
		#region Public constants

		/// <summary>
		/// The maximum number of sheaf type names (used when seeking derived types).
		/// </summary>
		public const int SheafTypeNameSizeMax = 50;

		/// <summary>
		/// Separator between scripts.
		/// </summary>
		public const string ScriptSeparator = "-- SCRIPT SEPARATOR --";

		#endregion Public constants
	}
}
