////////////////////////////////////////////////////////////////////////////////
//
// Developed by the Vela Entity (vela.im).
// Released under a "Common Sense License".
//
// Original author: Gardener of Thoughts (gardenerofthoughts.org).
//
////////////////////////////////////////////////////////////////////////////////

namespace Vela.Kernel
{
	/// <summary>
	/// A container for the textual form of an object.
	/// </summary>
	public interface ITextualFormContainer
	{
		#region Public non-serializable properties

		/// <summary>
		/// The textual form. This may be null or empty. READ-ONLY.
		/// </summary>
		string TextualForm { get; }

		#endregion Public non-serializable properties
	}
}
