////////////////////////////////////////////////////////////////////////////////
//
// Developed by the Vela Entity (vela.im).
// Released under a "Common Sense License".
//
// Original author: Gardener of Thoughts (gardenerofthoughts.org).
//
////////////////////////////////////////////////////////////////////////////////

using System.Collections.Generic;

namespace Vela.Kernel
{
	/// <summary>
	/// Contract for an item equality comparer.
	/// </summary>
	public interface IItemEqualityComparer<TItem> : IEqualityComparer<TItem>, IComparer<TItem>
	{
	}
}
