////////////////////////////////////////////////////////////////////////////////
//
// Developed by the Vela Entity (vela.im).
// Released under a "Common Sense License".
//
// Original author: Gardener of Thoughts (gardenerofthoughts.org).
//
////////////////////////////////////////////////////////////////////////////////

namespace Vela.Kernel
{
	/// <summary>
	/// Contract for an alternative peer address.
	/// </summary>
	public interface IAlternativePeerAddressContainer
	{
		#region Public serializable properties

		/// <summary>
		/// The alternative peer address. This may be null.
		/// </summary>
		AlternativePeerAddress AlternativePeerAddress { get; }

		#endregion Public serializable properties
	}
}
