////////////////////////////////////////////////////////////////////////////////
//
// Developed by the Vela Entity (vela.im).
// Released under a "Common Sense License".
//
// Original author: Gardener of Thoughts (gardenerofthoughts.org).
//
////////////////////////////////////////////////////////////////////////////////

namespace Vela.Serialization
{
	/// <summary>
	/// Contract for a node for a serialization writer / reader.
	/// </summary>
	public interface ISerializationNode
	{
		#region Public non-serializable properties

		/// <summary>
		/// Serialization name. READ-ONLY.
		/// </summary>
		string SerializationName { get; }

		#endregion Public non-serializable properties
	}
}
