////////////////////////////////////////////////////////////////////////////////
//
// Developed by the Vela Entity (vela.im).
// Released under a "Common Sense License".
//
// Original author: Gardener of Thoughts (gardenerofthoughts.org).
//
////////////////////////////////////////////////////////////////////////////////

namespace Vela.Serialization
{
	/// <summary>
	/// The available serialization node kinds.
	/// </summary>
	public enum SerializationNodeKinds : byte
	{
		/// <summary>
		/// The class kind.
		/// </summary>
		Class,

		/// <summary>
		/// The list kind.
		/// </summary>
		List,

		/// <summary>
		/// The scalar kind.
		/// </summary>
		Scalar
	}
}
