////////////////////////////////////////////////////////////////////////////////
//
// Developed by the Vela Entity (vela.im).
// Released under a "Common Sense License".
//
// Original author: Gardener of Thoughts (gardenerofthoughts.org).
//
////////////////////////////////////////////////////////////////////////////////

namespace Vela.SqlDatabase
{
	/// <summary>
	/// <para>The scripts from this project were made for MS SQL Server Compact Edition and MS SQL Server Full Edition.</para>
	/// 
	/// <para>The scripts which use paging work on the full edition only on MS SQL Server 2012.</para>
	/// 
	/// <br/>
	/// 
	/// <para><b>Database structure</b></para>
	/// 
	/// <para>Alternative database structures and script creation (= parametrized versus full text) have been analyzed, and the
	/// current method has proven to be the most efficient.</para>
	/// 
	/// <para>For example, splitting a sheaf table in two (one for the sheafs themselves, one for the speckle filters - a filter
	/// per row) results in a 6 times decrease in (access) performance. Tests have shown that the number of rows (of a table)
	/// decreases (access) performance in a far greater proportion than the number of columns (of a table) does.</para>
	/// </summary>
	class NamespaceDoc
	{
		// Only for documentation.
	}
}
