﻿SELECT
	SpeckleId
	, SheafUpdateVersion
	, StorehouseKey
	, SheafTypeName
	, ReferredSheaf
FROM {StorehouseRealm}
WHERE
	{SheafTypeNameChecksumSeekList}
	{SpeckleFilterChecksumSeekList}
	{SheafTypeNameSeekList}
	{SpeckleFilterValueSeekList}
	AND (ReferredSheaf IS NOT NULL)
ORDER BY SpeckleId ASC
OFFSET @PagedReadOffset ROWS
FETCH NEXT @PagedReadCount ROWS ONLY
