﻿SELECT
	SheafUpdateVersion
	, StorehouseKey
	, SheafTypeName
	, ReferredSheaf
FROM {StorehouseRealm}
WITH (HOLDLOCK, ROWLOCK, UPDLOCK)
WHERE
	{SheafTypeNameChecksumSeekList}
	{SpeckleFilterChecksumSeekList}
	{SheafTypeNameSeekList}
	{SpeckleFilterValueSeekList}
	AND (ReferredSheaf IS NOT NULL)
