﻿SELECT TOP( 1 )
	SheafUpdateVersion
	, SheafTypeName
	, ReferredSheaf
FROM {StorehouseRealm}
WITH (HOLDLOCK, ROWLOCK, UPDLOCK)
WHERE
	(StorehouseKeyChecksum = @StorehouseKeyChecksum)
	AND (StorehouseKey = @StorehouseKey)
	AND (ReferredSheaf IS NOT NULL)
