////////////////////////////////////////////////////////////////////////////////
//
// Developed by the Vela Entity (vela.im).
// Released under a "Common Sense License".
//
// Original author: Gardener of Thoughts (gardenerofthoughts.org).
//
////////////////////////////////////////////////////////////////////////////////

using Vela.Kernel.Serialization;

namespace Vela.Storehouse
{
	/// <summary>
	/// Storehouse access.
	/// </summary>
	public interface IStorehouseAccess : IDocument
	{
		#region Public serializable properties

		/// <summary>
		/// The type name of the storehouse provider to instantiate. READ-ONLY.
		/// </summary>
		string StorehouseProviderTypeName { get; }

		#endregion Public serializable properties
	}
}
