////////////////////////////////////////////////////////////////////////////////
//
// Developed by the Vela Entity (vela.im).
// Released under a "Common Sense License".
//
// Original author: Gardener of Thoughts (gardenerofthoughts.org).
//
////////////////////////////////////////////////////////////////////////////////

namespace Vela.Storehouse
{
	/// <summary>
	/// Contract for a set of scripts used to work with a storehouse.
	/// </summary>
	/// <remarks>
	/// <para>Keep the scripts as short as possible because they have to be sent to the storehouse provider (through slow
	/// transport mechanisms). Therefore, you should avoid commenting the scripts.</para>
	/// </remarks>
	public interface IStorehouseScripts
	{
	}
}
