////////////////////////////////////////////////////////////////////////////////
//
// Developed by the Vela Entity (vela.im).
// Released under a "Common Sense License".
//
// Original author: Gardener of Thoughts (gardenerofthoughts.org).
//
////////////////////////////////////////////////////////////////////////////////

namespace Vela.Storehouse
{
	/// <summary>
	/// Constants used for storehouses.
	/// </summary>
	public static class StorehouseConsts
	{
		#region Public constants

		/// <summary>
		/// The "StorehouseFileName" placeholder.
		/// </summary>
		public const string StorehouseFileNamePlaceholder = "{StorehouseFileName}";

		/// <summary>
		/// The "ServerStorehouseName" placeholder.
		/// </summary>
		public const string ServerStorehouseNamePlaceholder = "{ServerStorehouseName}";

		/// <summary>
		/// The "StorehouseAttachmentsPassword" placeholder.
		/// </summary>
		public const string StorehouseAttachmentsPasswordPlaceholder = "{StorehouseAttachmentsPassword}";

		#endregion Public constants
	}
}
