////////////////////////////////////////////////////////////////////////////////
//
// Developed by the Vela Entity (vela.im).
// Released under a "Common Sense License".
//
// Original author: Gardener of Thoughts (gardenerofthoughts.org).
//
////////////////////////////////////////////////////////////////////////////////

using System.ComponentModel;
using Vela.Kernel.Serialization;

namespace Vela.Controls
{
	/// <summary>
	/// Contract for a model.
	/// </summary>
	public interface IModel : IDocument, INotifyPropertyChanged
	{
	}
}
