////////////////////////////////////////////////////////////////////////////////
//
// Developed by the Vela Entity (vela.im).
// Released under a "Common Sense License".
//
// Original author: Gardener of Thoughts (gardenerofthoughts.org).
//
////////////////////////////////////////////////////////////////////////////////

using Vela.Kernel;

namespace Vela.ActionClient
{
	/// <summary>
	/// Delegate for an event raised when an action client channel finishes processing an action request.
	/// </summary>
	/// <param name="requestLocator">The instance locator of the action request which was processed.</param>
	public delegate void ChannelFinishedDelegate( Locator requestLocator );
}
