﻿////////////////////////////////////////////////////////////////////////////////
//
// Developed by the Vela Entity (vela.im).
// Released under a "Common Sense License".
//
// Original author: Gardener of Thoughts (gardenerofthoughts.org).
//
////////////////////////////////////////////////////////////////////////////////

namespace Vela.ApplicationDocuments
{
	/// <summary>
	/// Constants used for the application documents.
	/// </summary>
	public static class ApplicationDocumentsConsts
	{
		#region Public constants

		/// <summary>
		/// Template for the textual state of the transfer progress of the files attached to a letter which are being
		/// transferred.
		/// </summary>
		public const string AttachedFilesTransferringStateTemplate = "{0:0.000}%";

		/// <summary>
		/// Template for the textual state of the transfer progress of the files attached to a letter which were transferred.
		/// </summary>
		public const string AttachedFilesTransferredStateTemplate = "{0} √";

		#endregion Public constants
	}
}
