////////////////////////////////////////////////////////////////////////////////
//
// Developed by the Vela Entity (vela.im).
// Released under a "Common Sense License".
//
// Original author: Gardener of Thoughts (gardenerofthoughts.org).
//
////////////////////////////////////////////////////////////////////////////////

namespace Vela.CoreDocuments
{
	/// <summary>
	/// Contract for a sheaf which contains at least 1 public processing identity which contains an entity name which is set
	/// only by the local peer (never by the remote peer).
	/// </summary>
	public interface ILocallyNamedPublicProcessingIdentitySheaf : IPublicProcessingIdentitySheaf, ILocallyNamedIdentity
	{
	}
}
