////////////////////////////////////////////////////////////////////////////////
//
// Developed by the Vela Entity (vela.im).
// Released under a "Common Sense License".
//
// Original author: Gardener of Thoughts (gardenerofthoughts.org).
//
////////////////////////////////////////////////////////////////////////////////

using System.Text;

namespace Vela.Kernel
{
	/// <summary>
	/// UTF8 text encoding.
	/// </summary>
	public class Utf8 : TextEncoding
	{
		#region Constructors

		/// <summary>
		/// Initializes a new instance of the current class.
		/// </summary>
		public Utf8()
		{
			Ute = new UTF8Encoding( true, true );
			UteNoInvalidException = new UTF8Encoding( true, false );
		}

		#endregion Constructors
	}
}
