﻿SELECT *
FROM
	(
		SELECT
			SpeckleId
			, SheafUpdateVersion
			, StorehouseKey
			, SheafTypeName
			, ReferredSheaf
		FROM {StorehouseRealm}
		WITH (HOLDLOCK, ROWLOCK, XLOCK)
		WHERE
			{SheafTypeNameChecksumSeekList}
			{SpeckleFilterChecksumSeekList}
			{SheafTypeNameSeekList}
			{SpeckleFilterValueSeekList}
			AND (ReferredSheaf IS NOT NULL)
		ORDER BY SpeckleId DESC
		OFFSET @PagedReadOffset ROWS
		FETCH NEXT @PagedReadCount ROWS ONLY
	) AS Original
ORDER BY SpeckleId ASC
