﻿SELECT *
FROM
	(
		SELECT
			SpeckleId
			, StorehouseKey
			, SheafTypeName
			{SpeckleFilterTypeNameLoadList}
			{SpeckleFilterNameLoadList}
			{SpeckleFilterValueLoadList}
		FROM {StorehouseRealm}
		WHERE
			{SheafTypeNameChecksumSeekList}
			{SpeckleFilterChecksumSeekList}
			{SheafTypeNameSeekList}
			{SpeckleFilterValueSeekList}
			AND (ReferredSheaf IS NOT NULL)
		ORDER BY SpeckleId DESC
		OFFSET @PagedReadOffset ROWS
		FETCH NEXT @PagedReadCount ROWS ONLY
	) AS Original
ORDER BY SpeckleId ASC
