﻿USE master;
CREATE DATABASE {ServerStorehouseName} ON PRIMARY ( NAME = N'{ServerStorehouseName}', FILENAME = N'{StorehouseFileName}.mdf', MAXSIZE = UNLIMITED )
LOG ON ( NAME = N'{ServerStorehouseName}_log', FILENAME = N'{StorehouseFileName}_log.ldf' );
-- SCRIPT SEPARATOR --

USE master;
CREATE LOGIN {ServerStorehouseName} WITH PASSWORD=N'{StorehouseAttachmentsPassword}', DEFAULT_DATABASE={ServerStorehouseName}, CHECK_EXPIRATION=OFF, CHECK_POLICY=OFF;
-- SCRIPT SEPARATOR --

USE {ServerStorehouseName};
CREATE USER {ServerStorehouseName} FOR LOGIN {ServerStorehouseName};
EXEC sp_addrolemember 'db_owner', '{ServerStorehouseName}';
EXEC sp_addrolemember 'db_datareader', '{ServerStorehouseName}';
EXEC sp_addrolemember 'db_datawriter', '{ServerStorehouseName}';
-- SCRIPT SEPARATOR --
