﻿CREATE TABLE {StorehouseRealm}
(
	SpeckleId int IDENTITY( 1, 1 ) PRIMARY KEY NOT NULL
	, SheafUpdateVersion rowversion NOT NULL
	, StorehouseKeyChecksum int NOT NULL
	, SheafTypeNameChecksum int NOT NULL
	, SpeckleFilterChecksum00 int NULL
	, SpeckleFilterChecksum01 int NULL
	, SpeckleFilterChecksum02 int NULL
	, SpeckleFilterChecksum03 int NULL
	, SpeckleFilterChecksum04 int NULL
	, SpeckleFilterChecksum05 int NULL
	, SpeckleFilterChecksum06 int NULL
	, SpeckleFilterChecksum07 int NULL
	, SpeckleFilterChecksum08 int NULL
	, SpeckleFilterChecksum09 int NULL
	, SpeckleFilterChecksum10 int NULL
	, SpeckleFilterChecksum11 int NULL
	, SpeckleFilterChecksum12 int NULL
	, SpeckleFilterChecksum13 int NULL
	, SpeckleFilterChecksum14 int NULL
	, SpeckleFilterChecksum15 int NULL
	, StorehouseKey varbinary( 128 ) NOT NULL
	, SheafTypeName nvarchar( 256 ) NOT NULL
	, SpeckleFilterTypeName00 nvarchar( 256 ) NULL
	, SpeckleFilterTypeName01 nvarchar( 256 ) NULL
	, SpeckleFilterTypeName02 nvarchar( 256 ) NULL
	, SpeckleFilterTypeName03 nvarchar( 256 ) NULL
	, SpeckleFilterTypeName04 nvarchar( 256 ) NULL
	, SpeckleFilterTypeName05 nvarchar( 256 ) NULL
	, SpeckleFilterTypeName06 nvarchar( 256 ) NULL
	, SpeckleFilterTypeName07 nvarchar( 256 ) NULL
	, SpeckleFilterTypeName08 nvarchar( 256 ) NULL
	, SpeckleFilterTypeName09 nvarchar( 256 ) NULL
	, SpeckleFilterTypeName10 nvarchar( 256 ) NULL
	, SpeckleFilterTypeName11 nvarchar( 256 ) NULL
	, SpeckleFilterTypeName12 nvarchar( 256 ) NULL
	, SpeckleFilterTypeName13 nvarchar( 256 ) NULL
	, SpeckleFilterTypeName14 nvarchar( 256 ) NULL
	, SpeckleFilterTypeName15 nvarchar( 256 ) NULL
	, SpeckleFilterName00 nvarchar( 256 ) NULL
	, SpeckleFilterName01 nvarchar( 256 ) NULL
	, SpeckleFilterName02 nvarchar( 256 ) NULL
	, SpeckleFilterName03 nvarchar( 256 ) NULL
	, SpeckleFilterName04 nvarchar( 256 ) NULL
	, SpeckleFilterName05 nvarchar( 256 ) NULL
	, SpeckleFilterName06 nvarchar( 256 ) NULL
	, SpeckleFilterName07 nvarchar( 256 ) NULL
	, SpeckleFilterName08 nvarchar( 256 ) NULL
	, SpeckleFilterName09 nvarchar( 256 ) NULL
	, SpeckleFilterName10 nvarchar( 256 ) NULL
	, SpeckleFilterName11 nvarchar( 256 ) NULL
	, SpeckleFilterName12 nvarchar( 256 ) NULL
	, SpeckleFilterName13 nvarchar( 256 ) NULL
	, SpeckleFilterName14 nvarchar( 256 ) NULL
	, SpeckleFilterName15 nvarchar( 256 ) NULL
	, SpeckleFilterValue00 varbinary( 4096 ) NULL
	, SpeckleFilterValue01 varbinary( 4096 ) NULL
	, SpeckleFilterValue02 varbinary( 4096 ) NULL
	, SpeckleFilterValue03 varbinary( 4096 ) NULL
	, SpeckleFilterValue04 varbinary( 4096 ) NULL
	, SpeckleFilterValue05 varbinary( 4096 ) NULL
	, SpeckleFilterValue06 varbinary( 4096 ) NULL
	, SpeckleFilterValue07 varbinary( 4096 ) NULL
	, SpeckleFilterValue08 varbinary( 4096 ) NULL
	, SpeckleFilterValue09 varbinary( 4096 ) NULL
	, SpeckleFilterValue10 varbinary( 4096 ) NULL
	, SpeckleFilterValue11 varbinary( 4096 ) NULL
	, SpeckleFilterValue12 varbinary( 4096 ) NULL
	, SpeckleFilterValue13 varbinary( 4096 ) NULL
	, SpeckleFilterValue14 varbinary( 4096 ) NULL
	, SpeckleFilterValue15 varbinary( 4096 ) NULL
	, ReferredSheaf image NULL
);
-- SCRIPT SEPARATOR --

CREATE NONCLUSTERED INDEX StorehouseKeyChecksum_{StorehouseRealm}Index ON {StorehouseRealm}( StorehouseKeyChecksum ASC );
-- SCRIPT SEPARATOR --
CREATE NONCLUSTERED INDEX SheafTypeNameChecksum_{StorehouseRealm}Index ON {StorehouseRealm}( SheafTypeNameChecksum ASC );
-- SCRIPT SEPARATOR --
CREATE NONCLUSTERED INDEX SpeckleFilterChecksum00_{StorehouseRealm}Index ON {StorehouseRealm}( SpeckleFilterChecksum00 ASC );
-- SCRIPT SEPARATOR --
CREATE NONCLUSTERED INDEX SpeckleFilterChecksum01_{StorehouseRealm}Index ON {StorehouseRealm}( SpeckleFilterChecksum01 ASC );
-- SCRIPT SEPARATOR --
CREATE NONCLUSTERED INDEX SpeckleFilterChecksum02_{StorehouseRealm}Index ON {StorehouseRealm}( SpeckleFilterChecksum02 ASC );
-- SCRIPT SEPARATOR --
CREATE NONCLUSTERED INDEX SpeckleFilterChecksum03_{StorehouseRealm}Index ON {StorehouseRealm}( SpeckleFilterChecksum03 ASC );
-- SCRIPT SEPARATOR --
CREATE NONCLUSTERED INDEX SpeckleFilterChecksum04_{StorehouseRealm}Index ON {StorehouseRealm}( SpeckleFilterChecksum04 ASC );
-- SCRIPT SEPARATOR --
CREATE NONCLUSTERED INDEX SpeckleFilterChecksum05_{StorehouseRealm}Index ON {StorehouseRealm}( SpeckleFilterChecksum05 ASC );
-- SCRIPT SEPARATOR --
CREATE NONCLUSTERED INDEX SpeckleFilterChecksum06_{StorehouseRealm}Index ON {StorehouseRealm}( SpeckleFilterChecksum06 ASC );
-- SCRIPT SEPARATOR --
CREATE NONCLUSTERED INDEX SpeckleFilterChecksum07_{StorehouseRealm}Index ON {StorehouseRealm}( SpeckleFilterChecksum07 ASC );
-- SCRIPT SEPARATOR --
CREATE NONCLUSTERED INDEX SpeckleFilterChecksum08_{StorehouseRealm}Index ON {StorehouseRealm}( SpeckleFilterChecksum08 ASC );
-- SCRIPT SEPARATOR --
CREATE NONCLUSTERED INDEX SpeckleFilterChecksum09_{StorehouseRealm}Index ON {StorehouseRealm}( SpeckleFilterChecksum09 ASC );
-- SCRIPT SEPARATOR --
CREATE NONCLUSTERED INDEX SpeckleFilterChecksum10_{StorehouseRealm}Index ON {StorehouseRealm}( SpeckleFilterChecksum10 ASC );
-- SCRIPT SEPARATOR --
CREATE NONCLUSTERED INDEX SpeckleFilterChecksum11_{StorehouseRealm}Index ON {StorehouseRealm}( SpeckleFilterChecksum11 ASC );
-- SCRIPT SEPARATOR --
CREATE NONCLUSTERED INDEX SpeckleFilterChecksum12_{StorehouseRealm}Index ON {StorehouseRealm}( SpeckleFilterChecksum12 ASC );
-- SCRIPT SEPARATOR --
CREATE NONCLUSTERED INDEX SpeckleFilterChecksum13_{StorehouseRealm}Index ON {StorehouseRealm}( SpeckleFilterChecksum13 ASC );
-- SCRIPT SEPARATOR --
CREATE NONCLUSTERED INDEX SpeckleFilterChecksum14_{StorehouseRealm}Index ON {StorehouseRealm}( SpeckleFilterChecksum14 ASC );
-- SCRIPT SEPARATOR --
CREATE NONCLUSTERED INDEX SpeckleFilterChecksum15_{StorehouseRealm}Index ON {StorehouseRealm}( SpeckleFilterChecksum15 ASC );
-- SCRIPT SEPARATOR --
CREATE UNIQUE NONCLUSTERED INDEX StorehouseKey_{StorehouseRealm}Index ON {StorehouseRealm}( StorehouseKey ASC );
-- SCRIPT SEPARATOR --
