﻿////////////////////////////////////////////////////////////////////////////////
//
// Developed by the Vela Entity (vela.im).
// Released under a "Common Sense License".
//
// Original author: Gardener of Thoughts (gardenerofthoughts.org).
//
////////////////////////////////////////////////////////////////////////////////

using Vela.Controls;

namespace Vela.Im
{
	/// <summary>
	/// Window for the application's quick help.
	/// </summary>
	public partial class QuickHelpWindow : ViewWindow
	{
		#region Constructors

		/// <summary>
		/// Initializes a new instance of the current class.
		/// </summary>
		public QuickHelpWindow()
		{
			InitializeComponent();

			LoadUi();
		}

		#endregion Constructors

		#region Public static methods

		/// <summary>
		/// Shows the quick help window.
		/// </summary>
		public static void ShowDialogInstance()
		{
			QuickHelpWindow window = new QuickHelpWindow();

			ControlsUtils.ShowDialog( window );
		}

		#endregion Public static methods
	}
}
