﻿////////////////////////////////////////////////////////////////////////////////
//
// Developed by the Vela Entity (vela.im).
// Released under a "Common Sense License".
//
// Original author: Gardener of Thoughts (gardenerofthoughts.org).
//
////////////////////////////////////////////////////////////////////////////////

namespace Vela.ThemeTester
{
	public class Person
	{
		#region Constructors

		/// <summary>
		/// Initializes a new instance of the current class.
		/// </summary>
		public Person()
		{
		}

		/// <summary>
		/// Initializes a new instance of the current class.
		/// </summary>
		public Person( string uid, string lastName, string firstName )
		{
			Uid = uid;
			LastName = lastName;
			FirstName = firstName;
		}

		#endregion Constructors

		#region Public non-serializable properties

		private string _Uid;
		public string Uid
		{
			get { return _Uid; }
			set { _Uid = value; }
		}

		private string _LastName;
		public string LastName
		{
			get { return _LastName; }
			set { _LastName = value; }
		}

		private string _FirstName;
		public string FirstName
		{
			get { return _FirstName; }
			set { _FirstName = value; }
		}

		#endregion Public non-serializable properties
	}
}
